import axios from '@/common/services/axios-instance'

class AuditReportService {
  // 获取被审计单位默认值
  getAuditedUnitById(id) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-material/audit-unit/${id}`,
      method: 'post',
    })
  }

  // 获取文件编号
  getFileCode( params ) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-audit-discover/nextNumber`,
      method: 'post',
      data: params,
    })
  }

  // 获取数据字典配置
  getDictionary(id) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-law/dictionary?key=${id}`,
      method: 'get',
    })
  }

   // 获取当前用户的项目角色
   getUserRoles(id) {
    return axios({
      url: `api/xcoa-mobile/v1/iamprojectuser/userProject?projectId=${id}`,
      method: 'get',
    })
  }

}

export default new AuditReportService()
